package com.kym.service.admin;

import com.github.yulichang.base.MPJBaseService;
import com.kym.entity.admin.Coupon;
import com.kym.entity.admin.queryParams.CouponQueryParam;
import com.kym.entity.admin.vo.UserCouponsIssueVo;
import com.kym.entity.common.PageBean;

/**
 * <p>
 * 优惠券表 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-04-25
 */
public interface CouponService extends MPJBaseService<Coupon> {
    PageBean<Coupon> listCoupon(CouponQueryParam params);

    void issueCoupons(UserCouponsIssueVo userCouponsIssue);

    PageBean<Coupon> listAvailableCoupons(CouponQueryParam params);

    void usedQuantifyCount(Long couponId);
}
